using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace VSM102004
{
	/// <summary>
	/// Summary description for SimplePrintingWithFrames.
	/// </summary>
	public class SimplePrintingWithFrames : System.Web.UI.Page
	{
		protected System.Data.SqlClient.SqlDataAdapter sqlOrdersDataAdapter;
		protected System.Data.SqlClient.SqlCommand sqlSelectCommand1;
		protected System.Data.SqlClient.SqlConnection sqlConnection1;
		protected VSM102004.dsOrders dsOrders;
		protected System.Web.UI.WebControls.DropDownList lstOrderID;
		protected System.Web.UI.WebControls.TextBox txtCustomerName;
		protected System.Web.UI.WebControls.TextBox txtCustomerAddress;
		protected System.Web.UI.WebControls.TextBox txtShipDate;
		protected System.Web.UI.WebControls.DataGrid DataGrid1;


		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.sqlOrdersDataAdapter = new System.Data.SqlClient.SqlDataAdapter();
			this.sqlSelectCommand1 = new System.Data.SqlClient.SqlCommand();
			this.sqlConnection1 = new System.Data.SqlClient.SqlConnection();
			this.dsOrders = new VSM102004.dsOrders();
			// 
			// sqlOrdersDataAdapter
			// 
			this.sqlOrdersDataAdapter.SelectCommand = this.sqlSelectCommand1;
			this.sqlOrdersDataAdapter.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																																																	 new System.Data.Common.DataTableMapping("Table", "Orders", new System.Data.Common.DataColumnMapping[] {
																																																																																																					 new System.Data.Common.DataColumnMapping("OrderID", "OrderID"),
																																																																																																					 new System.Data.Common.DataColumnMapping("CustomerID", "CustomerID"),
																																																																																																					 new System.Data.Common.DataColumnMapping("CompanyName", "CompanyName"),
																																																																																																					 new System.Data.Common.DataColumnMapping("EmployeeFirstName", "EmployeeFirstName"),
																																																																																																					 new System.Data.Common.DataColumnMapping("EmployeeLastName", "EmployeeLastName"),
																																																																																																					 new System.Data.Common.DataColumnMapping("EmployeeID", "EmployeeID"),
																																																																																																					 new System.Data.Common.DataColumnMapping("OrderDate", "OrderDate"),
																																																																																																					 new System.Data.Common.DataColumnMapping("RequiredDate", "RequiredDate"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShippedDate", "ShippedDate"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipVia", "ShipVia"),
																																																																																																					 new System.Data.Common.DataColumnMapping("Freight", "Freight"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipName", "ShipName"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipAddress", "ShipAddress"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipCity", "ShipCity"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipRegion", "ShipRegion"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipPostalCode", "ShipPostalCode"),
																																																																																																					 new System.Data.Common.DataColumnMapping("ShipCountry", "ShipCountry")})});
			// 
			// sqlSelectCommand1
			// 
			this.sqlSelectCommand1.CommandText = @"SELECT Orders.OrderID, Orders.CustomerID, Customers.CompanyName, Employees.FirstName AS EmployeeFirstName, Employees.LastName AS EmployeeLastName, Orders.EmployeeID AS EmployeeID, Orders.OrderDate, Orders.RequiredDate, Orders.ShippedDate, Orders.ShipVia, Orders.Freight, Orders.ShipName, Orders.ShipAddress, Orders.ShipCity, Orders.ShipRegion, Orders.ShipPostalCode, Orders.ShipCountry FROM Orders INNER JOIN Customers ON Orders.CustomerID = Customers.CustomerID INNER JOIN Employees ON Orders.EmployeeID = Employees.EmployeeID";
			this.sqlSelectCommand1.Connection = this.sqlConnection1;
			// 
			// sqlConnection1
			// 
			this.sqlConnection1.ConnectionString = "workstation id=DOMINION;packet size=4096;user id=sa;integrated security=SSPI;data" +
				" source=localhost;persist security info=False;initial catalog=Northwind";
			// 
			// dsOrders
			// 
			this.dsOrders.DataSetName = "dsOrders";
			this.dsOrders.Locale = new System.Globalization.CultureInfo("en-US");
			this.lstOrderID.SelectedIndexChanged += new System.EventHandler(this.lstOrderID_SelectedIndexChanged);
			this.Load += new System.EventHandler(this.Page_Load);
		}
					
		#endregion

		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
			if (IsPostBack == false)
			{
				FillOrdersListBox();
				FillOrderData();
			}
		}
 
		private void lstOrderID_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			// Populate the order labels
			FillOrderData();   
		}
  
		private void FillOrdersListBox()
		{
			// Bind the Data to the list box
			sqlOrdersDataAdapter.Fill(dsOrders, "Orders");
			lstOrderID.DataSource = dsOrders.Tables["Orders"].DefaultView;
			lstOrderID.DataTextField = "OrderID";
			lstOrderID.DataBind();
		}

		private void FillOrderData()
		{
			DataView dvSelectedOrder = new DataView();
			String strOrderID;
      
			// Get the selected index
			strOrderID = lstOrderID.SelectedItem.ToString();
      
			// Set the order labels to reflect the order information
			sqlOrdersDataAdapter.Fill(dsOrders, "Orders");
			dvSelectedOrder.Table = dsOrders.Tables["Orders"];
			dvSelectedOrder.RowFilter = "OrderID = '" + strOrderID + "'";
			txtCustomerName.Text = dvSelectedOrder[0].Row["CompanyName"].ToString();
			txtCustomerAddress.Text = dvSelectedOrder[0].Row["ShipAddress"].ToString() + "\n" +
				dvSelectedOrder[0].Row["ShipCity"].ToString() + "  " + 
				dvSelectedOrder[0].Row["ShipRegion"].ToString() + "  " +
				dvSelectedOrder[0].Row["ShipPostalCode"].ToString();
			txtShipDate.Text = dvSelectedOrder[0].Row["ShippedDate"].ToString();
		}

	}
}